#include <iostream>
#include <stdlib.h>

using namespace std;

int main()
{
    long int n,start,najveci,najmanji,ukupno;
    long int i,temp;

    std::cin>> n >> start;

    for (i = 0;i< n;i++){
        std::cin >> temp;
        if (i==0){
            najveci = temp;
            najmanji = temp;
            continue;
        }

        if (temp>najveci){
            najveci = temp;
        }

        else {
            if (temp<najmanji){
                najmanji = temp;
            }
        }

    }

    if (najmanji < 0){
        start += abs (najmanji);
        najveci += abs (najmanji);
        najmanji = 0;
    }

    if (start > najmanji && start < najveci){
        if (start-najmanji < najveci-start){
                ukupno = 2*(start-najmanji);
                ukupno+=najveci-start;
        }

        else {
            ukupno = 2*(najveci-start);
            ukupno+=start-najmanji;
        }
    }

    else{
        if (najmanji > start){
            ukupno = najveci - abs(start);
        }
    }

    std::cout << ukupno;

    return 0;
}